VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
vmware::content::library::item::StructDefinitions Class Reference

Defines the type descriptors for the top-level types in `com.vmware.content.library.item` package. More...

List of all members.

## Static Public Attributes
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | downloadSessionModel
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | transferEndpoint
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | updateSessionModel

## Detailed Description

Defines the type descriptors for the top-level types in `com.vmware.content.library.item` package.

WARNING: Internal API, subject to change in future versions.

## Member Data Documentation

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::content::library::item::StructDefinitions::downloadSessionModel`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("id", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IdType("com.vmware.content.library.item.DownloadSession")));
                    fields.Add("library_item_id", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IdType("com.vmware.content.library.Item")));
                    fields.Add("library_item_content_version", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("error_message", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.localizableMessage.Value))));
                    fields.Add("client_progress", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IntegerType()));
                    fields.Add("state", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.EnumType(typeof(vmware.content.library.item.DownloadSessionModel.State))));
                    fields.Add("expiration_time", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.DateTimeType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.content.library.item.download_session_model", fields, typeof(vmware.content.library.item.DownloadSessionModel), validators, true, new global::System.Collections.Generic.List<string>(){"id"});
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::content::library::item::StructDefinitions::transferEndpoint`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("uri", new vmware.vapi.bindings.type.UriType());
                    fields.Add("ssl_certificate_thumbprint", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.content.library.item.transfer_endpoint", fields, typeof(vmware.content.library.item.TransferEndpoint), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::content::library::item::StructDefinitions::updateSessionModel`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("id", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IdType("com.vmware.content.library.item.UpdateSession")));
                    fields.Add("library_item_id", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IdType("com.vmware.content.library.Item")));
                    fields.Add("library_item_content_version", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("error_message", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.localizableMessage.Value))));
                    fields.Add("client_progress", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IntegerType()));
                    fields.Add("state", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.EnumType(typeof(vmware.content.library.item.UpdateSessionModel.State))));
                    fields.Add("expiration_time", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.DateTimeType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.content.library.item.update_session_model", fields, typeof(vmware.content.library.item.UpdateSessionModel), validators, true, new global::System.Collections.Generic.List<string>(){"id"});
                })

The documentation for this class was generated from the following file:

- content/library/item/StructDefinitions.cs